List Invoice Line Items
curl --request GET \
--url https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/billing/invoices/{invoice_id}/line-items' -Method GET -Headers $headers[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default_price": "<string>",
"description": "<string>"
},
"amount": "<string>",
"quantity": "<string>",
"price": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": "<string>",
"discount_description": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Invoices
List All Line Items for an Invoice
Returns all line items associated with a specific invoice.
GET
/
billing
/
invoices
/
{invoice_id}
/
line-items
List Invoice Line Items
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
Invoice whose line items to list. Use list_invoices to find one.
Response
Successful Response
The unique identifier for the line item.
The product associated with the line item.
Show child attributes
Show child attributes
The total amount for the line item.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$The quantity of the product.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$The price per unit of the product.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$The timestamp when the line item was created.
A description of the line item.
The discount applied to the line item.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$A description of the discount.
⌘I